Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.novell.xml.xpath
Class XPathException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.novell.xml.xpath.XPathException

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  XPathEvaluationException, XPathParserException

    public class XPathException

extends Exception

Base class for exceptions that are thrown by the XPath expression engine.

See Also:
  Serialized Form

Constructor Summary
`XPathException(String key)` Construct an XPathException with the message specified by the key.
`XPathException(String key, String parm)` Construct an XPathException with the parameterized message specified by the key and parameter.
`XPathException(String key, String[] parms)` Construct an XPathException with the parameterized message specified by the key and parameter list.

Method Summary
`protected static String` | `getString(String key)`
`protected static String` | `getString(String key, Object[] parms)`
`protected static String` | `getString(String key, String parm)`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### XPathException

    public XPathException(String key)

  Construct an XPathException with the message specified by the key.

  Parameters:
    `key` - The key of the desired message. This key must exist in the properties file XPath_Exception_en_US.properties, at a minimum, and should exist in other locale property files.

### XPathException

    public XPathException(String key,
                          String parm)

  Construct an XPathException with the parameterized message specified by the key and parameter.

  Parameters:
    `key` - The key of the desired message. This key must exist in the properties file XPath_Exception_en_US.properties, at a minimum, and should exist in other locale property files.
    `parm` - The replacement string for the replacement token in the string reference by key. Replacement tokens are of the form "%n" where n is a string of decimal digits.

### XPathException

    public XPathException(String key,
                          String[] parms)

  Construct an XPathException with the parameterized message specified by the key and parameter list.

  Parameters:
    `key` - The key of the desired message. This key must exist in the properties file XPath_Exception_en_US.properties, at a minimum, and should exist in other locale property files.
    `parms` - The list of replacement strings for replacement tokens in the string reference by key. Replacement tokens are of the form "%n" where n is a string of decimal digits.

Method Detail

### getString

    protected static String getString(String key)
                               throws MissingResourceException

  Throws:
    `MissingResourceException`

### getString

    protected static String getString(String key,
                                      String parm)
                               throws MissingResourceException

  Throws:
    `MissingResourceException`

### getString

    protected static String getString(String key,
                                      Object[] parms)
                               throws MissingResourceException

  Throws:
    `MissingResourceException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD